services:
  wiregate:
    image: noxcis/wiregate:vidar
    container_name: wiregate
    cap_add:
      - NET_ADMIN
      - SYS_MODULE
    devices:
      - /dev/net/tun:/dev/net/tun
    environment:
      - WGD_TOR_PROXY=true
      - WGD_TOR_EXIT_NODES={de}
      - WGD_TOR_BRIDGES=false
      - WGD_REMOTE_ENDPOINT=nkhproxy.duckdns.org
      - WGD_USER=NKH
      - WGD_PASS=Nihilisme1158
    volumes:
      - ./wireguard:/etc/wireguard
      - ./db:/WireGate/db
    ports:
      - "51820:51820/udp"
      - "10086:10086/tcp"
    restart: unless-stopped
